Create Fleet Server host

Base URL
https://{kibana_url}
  • POST /api/fleet/fleet_server_hosts
  • POST /s/{space_id}/api/fleet/fleet_server_hosts
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

host_urls string[] required
id string
is_default boolean
is_internal boolean
name string required
proxy_id string

The ID of the proxy to use for this fleet server host. See the proxies API for more information.

Responses

OK

application/json
item object
host_urls string[] required
id string required
is_default boolean required
is_internal boolean
is_preconfigured boolean required
name string
proxy_id string

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}